%define upstream_name    File-ShareDir-Dist
%define upstream_version 0.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A prove plugin that works with File::ShareDir::Dist
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
the File::ShareDir::Dist manpage finds share directories for distributions.
It is similar to the File::ShareDir manpage with a few differences:

* Only supports distribution directories.

  It doesn't support perl modules or perl class directories. I have never
  really needed anything other than a per-dist share directory.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.70.0-3.mga8
+ Revision: 1504510
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.70.0-2.mga7
+ Revision: 1283706
- Mageia 7 Mass Rebuild

* Fri Aug 31 2018 tv <tv> 0.70.0-1.mga7
+ Revision: 1255972
- update to 0.07

* Thu Jul 12 2018 tv <tv> 0.60.0-1.mga7
+ Revision: 1243131
- update to 0.06

* Mon Oct 02 2017 tv <tv> 0.50.0-2.mga7
+ Revision: 1164366
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 tv <tv> 0.50.0-1.mga7
+ Revision: 1156470
- update to 0.05

* Fri Jul 28 2017 shlomif <shlomif> 0.40.0-1.mga7
+ Revision: 1131774
- imported package perl-File-ShareDir-Dist


* Fri Jul 28 2017 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
